#pragma once
#include <map>
struct Fish_TherionRankingCFGData
{
	//ID
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具列表，填写M_ItemCFG中的道具ID
	std::vector<int> mRewardList;
	//上榜限制
	int mLimit;
};

class Fish_TherionRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionRankingCFGData* GetData(int ID);
	const std::map<int, Fish_TherionRankingCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TherionRankingCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TherionRankingCFGData> mMapData;
};
